defmodule Towerops.Mocks.SnmpKitMock do
  @moduledoc """
  Mock for SnmpKit to be used in tests.
  """

  def get(_target, _oid, _opts) do
    {:ok, {:octet_string, "Mock Value"}}
  end

  def walk(_target, _oid, _opts) do
    # Return empty list to simulate no results
    {:ok, []}
  end

  def get_bulk(_target, _oid, _opts) do
    {:ok, []}
  end
end
